### Method

# Gio NetworkService get_service

since: 2.22

#### Declaration

    const gchar*
    g_network_service_get_service (
      GNetworkService* srv
    )

#### Description

Gets `srv`‘s service name (eg, “ldap”).

Available since: 2.22

Gets property | `Gio.NetworkService:service`

#### Return value

Type: `const gchar*`

`srv`‘s service name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.